<template>
    <div v-if="loading">
        <h4>Loadding</h4>
    </div>
    <div v-else>
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-primary">
                        <div class="box-body">
                            <router-link :to="{ name:'Clients-Add' }" class="btn btn-primary pull-right tbl-btn-right"><i class="fa fa-plus"></i> Add New Client</router-link>
                            <table id="clients" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Address</th>
                                        <th>Points usage</th>
                                        <th>Status</th>
                                        <!-- <th>Usage Points</th> -->
                                        <!-- <th>Status</th> -->
                                        <th class="no-sort">Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <!-- <tr>
                                        <td>Client1</td>
                                        <td>client1@myemail.tld</td>
                                        <td>00112233</td>
                                        <td>Address 1, Toronto</td>
                                        <td>100</td>
                                        <td>Active</td>
                                        <td>
                                            <a href="#" class="btn btn-info edit"><i class="fa fa-pencil"></i></a>
                                            <a href="#" class="btn btn-danger delete"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Client2</td>
                                        <td>client2@myemail.tld</td>
                                        <td>00112233</td>
                                        <td>Address 2, Toronto</td>
                                        <td>300</td>
                                        <td>Active</td>
                                        <td>
                                            <a href="#" class="btn btn-info edit"><i class="fa fa-pencil"></i></a>
                                            <a href="#" class="btn btn-danger delete"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr> -->
                                </tbody>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
            </div>
        </section>
        <div class="modal fade" id="modal-confirm" >
          <div class="modal-dialog modal-sm">
            <div class="modal-content">
              <div class="modal-header">
                <button @click="cancel" type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Confirmation</h4>
              </div>
              <div class="modal-body">
                <p>Are you sure to delete client?</p>
              </div>
              <div class="modal-footer">
                <button @click="cancel" type="button" class="btn btn-default pull-left" data-dismiss="modal">No</button>
                <button @click="remove" type="button" class="btn btn-primary">Yes</button>
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    </div>
</template>

<script src='./Management.js'></script>
